@echo off
 if '%1'=='' goto usage
 if not '%2'=='.c--' goto nosrc
 c--.exe %1 /x
 if exist %1.com if exist ..\%1.m del ..\%1.m
 if exist %1.com copy %1.com ..\%1.m>nul
 if exist %1.com del %1.com
 goto exit
:usage
 echo.
 echo Usage:     C--.BAT  filename  .extention
 echo Example:   C--.BAT  test  .c--
 goto exit
:nosrc
 echo File %1%2 is not a source!
:exit